curl "https://zeplo.ai/api/automations/1/executions?limit=10" \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": "exec_abc123",
"automationId": 1,
"status": "completed",
"conversationId": 5,
"contactPhone": "919876543210",
"nodesExecuted": 3,
"startedAt": "2026-01-15T14:00:00Z",
"completedAt": "2026-01-15T14:00:05Z"
}
]
}
Automations
GET Automation Executions
Track and manage automation execution history.
GET
/
api
/
automations
/
:id
/
executions
curl "https://zeplo.ai/api/automations/1/executions?limit=10" \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": "exec_abc123",
"automationId": 1,
"status": "completed",
"conversationId": 5,
"contactPhone": "919876543210",
"nodesExecuted": 3,
"startedAt": "2026-01-15T14:00:00Z",
"completedAt": "2026-01-15T14:00:05Z"
}
]
}
Get execution history
GET /api/automations/:id/executions
Retrieve execution history for an automation.
Headers
string
required
Session cookie (login via POST /api/auth/login)
Query parameters
integer
default:"1"
Page number.
integer
default:"20"
Items per page.
string
Filter:
running, completed, failed.curl "https://zeplo.ai/api/automations/1/executions?limit=10" \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": "exec_abc123",
"automationId": 1,
"status": "completed",
"conversationId": 5,
"contactPhone": "919876543210",
"nodesExecuted": 3,
"startedAt": "2026-01-15T14:00:00Z",
"completedAt": "2026-01-15T14:00:05Z"
}
]
}
Get execution status
GET /api/automations/executions/:executionId/status
curl https://zeplo.ai/api/automations/executions/exec_abc123/status \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"id": "exec_abc123",
"automationId": 1,
"status": "completed",
"currentNode": null,
"nodesExecuted": ["node_1", "node_2", "node_3"],
"logs": [
{
"nodeId": "node_1",
"nodeType": "trigger",
"status": "completed",
"output": "Triggered by new_conversation",
"executedAt": "2026-01-15T14:00:00Z"
},
{
"nodeId": "node_2",
"nodeType": "sendMessage",
"status": "completed",
"output": "Message sent successfully",
"executedAt": "2026-01-15T14:00:02Z"
}
]
}
}
Log node execution
POST /api/automations/executions/:executionId/logs
Log a node execution for an automation run.
curl -X POST https://zeplo.ai/api/automations/executions/exec_abc123/logs \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"nodeId": "node_2",
"nodeType": "sendMessage",
"status": "completed",
"output": "Message sent to 919876543210",
"duration": 1500
}'
Pending & cleanup
GET /api/automations/pending-executions
Get all pending executions that are waiting (e.g., at a delay node).
curl "https://zeplo.ai/api/automations/pending-executions" \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
POST /api/automations/cleanup-expired
Clean up expired executions that have timed out.
curl -X POST https://zeplo.ai/api/automations/cleanup-expired \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
Seed automation templates
POST /api/automations/seed-templates
Seed pre-built automation templates into the system.
curl -X POST https://zeplo.ai/api/automations/seed-templates \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
